@echo off

REM kcp_slabatch.bat - Invoke the KCP SLA Batch Utility
REM The assumption is that this will be installed in either the TEP Desktop 
REM (CNP) or TEP Browser (CNB) folder.
REM ###########################################################################
REM You should also have a valid JVM set in the PATH. Uncomment the following
REM 'set' statement in order to reference a specific version of Java to use 
REM with the TEP desktop client.  Alternatively, this variable could also be set
REM in the Windows environment if desired.
REM ############################################################################
REM set TEP_JAVA_HOME=C:\Program Files\Java\jre1.5.0_nn\bin\


REM ############################################################################
REM Check if TEP_JAVA_HOME has already been set.  If not, run a script to
REM locate an appropriate JRE to use.
REM ############################################################################

if "%TEP_JAVA_HOME%"=="" goto locateJRE
@setlocal
goto setclasspath

:locateJRE
@if exist .\javareg.vbs call cscript //nologo javareg.vbs TEP_JAVA_HOME
@if exist .\candle\javareg.vbs call cscript //nologo .\candle\javareg.vbs TEP_JAVA_HOME
@setlocal
@if exist .\jrset.bat call .\jrset.bat
@if exist .\candle\jrset.bat call .\candle\jrset.bat 

:setclasspath
REM Set the CLASSPATH. The following JARs are needed from the base ITM install: 
REM cnp.jar, cnp_vbjorball.jar, util.jar, kjrall.jar.
set SLA_CLASSPATH=kcp_resources.jar;cnp.jar;cnp_vbjorball.jar;util.jar;kjrall.jar;

if     "%TEP_JAVA_HOME%"=="" set SLA_JAVA_CMD=java
if not "%TEP_JAVA_HOME%"=="" set SLA_JAVA_CMD="%TEP_JAVA_HOME%"java

set SLA_CMD=%SLA_JAVA_CMD% -cp %SLA_CLASSPATH% candle.kcp.slabatch.SLABatchCLI %*

REM Execute the SLA Batch Utility
%SLA_CMD%

@endlocal


